#
# spec file for package glitz (Version 0.4.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           glitz
BuildRequires:  Mesa-devel glib2-devel xorg-x11-devel
Version:        0.4.4
Release:        21.2
URL:            http://www.freedesktop.org/Software/glitz
Group:          Development/Libraries/X11
License:        BSD, Other License(s), see package
Summary:        Glitz--OpenGL Image Compositing Library
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-libtool.patch
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Glitz is an OpenGL image compositing library. Glitz provides
Porter/Duff compositing of images and implicit mask generation for
geometric primitives, including trapezoids, triangles, and rectangles.

The semantics of Glitz are designed to precisely match the
specification of the X Render extension. Glitz does not only implement
X Render features, like component alpha and image transformations, but
also support for additional features like convolution filters and color
gradients, which are not currently part of the X Render specification.

The performance and capabilities of Glitz are much dependent on
graphics hardware. Glitz does not in any way handle software fall-backs
when graphics hardware is insufficient. However, it will report if any
requested operation cannot be carried out by graphics hardware, making
a higher level software layer responsible for appropriate actions.



Authors:
--------
    David Reveman <davidr@novell.com>
    Peter Nilsson <c99pnn@cs.umu.se>

%debug_package
%package devel
Group:          Development/Libraries/X11
Summary:        glitz - OpenGL image compositing library
Requires:       %{name} = %{version} glib2-devel xorg-x11-devel xorg-x11-Mesa-devel

%description devel
Glitz is an OpenGL image compositing library. Glitz provides
Porter/Duff compositing of images and implicit mask generation for
geometric primitives including trapezoids, triangles, and rectangles.

The semantics of glitz are designed to precisely match the
specification of the X Render extension. Glitz does not only implement
X Render features like component alpha and image transformations, but
also support for additional features like convolution filters and color
gradients, which are not currently part of the X Render specification.

The performance and capabilities of glitz are much dependent on
graphics hardware. Glitz does not in any way handle software fall-backs
when graphics hardware is insufficient. However, glitz will report if
any requested operation cannot be carried out by graphics hardware,
hence making a higher level software layer responsible for appropriate
actions.



Authors:
--------
    David Reveman <davidr@novell.com>
    Peter Nilsson <c99pnn@cs.umu.se>

%prep
%setup
%patch -p1

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/usr\
	--libdir=/usr/%{_lib}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
/usr/%{_lib}/*.so.*

%files devel
%defattr (-, root, root)
/usr/%{_lib}/*.so
/usr/%{_lib}/*.*a
/usr/%{_lib}/pkgconfig/*.pc
/usr/include/*

%changelog -n glitz
* Sat Feb 04 2006 - aj@suse.de
- Require Mesa instead of freeglut for building.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 21 2005 - gekker@suse.de
- Removed reference to build directory in installed .la files.
* Thu Aug 18 2005 - sbrabec@suse.cz
- Moved so file to devel subpackage (#105470).
* Wed Aug 17 2005 - gekker@suse.de
- Update to version 0.4.4
* Fri Aug 05 2005 - ro@suse.de
- fix typo in requires
* Wed Aug 03 2005 - gekker@suse.de
- Update to version 0.4.3
* Wed Jan 26 2005 - sbrabec@suse.cz
- New SuSE package, version 0.4.0.
